Subject: bug#7669: option "foreign" after "-Wall" turns off and portability warnings.

From: Stefano Lattarini <[email-masked]>
Date: Thu, 23 Dec 2010 15:46:19 +0100

tags 7669 patch
thanks

On Sunday 19 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Fri, Dec 17, 2010 at 07:52:29PM CET:
> > With automake >= 1.10, foreign *after* -Wall in AM_INIT_AUTOMAKE turns
> > off portability warnings.
> 
> > While the current behaviour is due to various historical and implementation
> > reasons, IMHO it is counter-intuitive and somewhat "dangerous", since
> > programmers enabling the `foreign' option might unwittingly be prevented
> > from seeing portability warnings -- when they think to have enabled those
> > warnings!
> 
Now I've posted a patch series about this; see:
 <http://lists.gnu.org/archive/html/automake-patches/2010-12/msg00139.html>

> Fixing this will turn (at least user-provided) silent-rules rules noisy,
> I think.
>
Luckily no: the pre-existing code was already smart enough that I managed
to avoid this problem with no efforts.  I added a testcase about it, BTW.

> Given however that the nested variable expansion involved may
> be in a future Posix (if I get to analyzing the remaining questions from
> Eric in time), one possible strategy out is optimistically not warning
> about them any more and otherwise letting me get to the testing ... ;-)
> 
This won't be necessary (but having nested variable expansion in POSIX
would be great anyway!)

Regards,
   Stefano